## ros-indigo-ndt-registration 1.0.30

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
set(CMAKE_BUILD_TYPE Release) 
project(ndt_registration)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS ndt_map tf tf_conversions pcl_ros)
catkin_package(
    DEPENDS eigen libpcl-all-dev 
    CATKIN_DEPENDS ndt_map tf tf_conversions pcl_ros
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME} 
)

find_package(Boost REQUIRED COMPONENTS program_options system)
include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

#uncomment if you have defined messages
#add_message_files(
#  FILES
  # TODO: List your msg files here
#)
#uncomment if you have defined services
#add_service_files(
#  FILES
  # TODO: List your msg files here
#)

#add_executable(ndt_registration_test test/ndt_registration_test.cc)
#rosbuild_add_openmp_flags(ndt_registration_test)

find_package(OpenMP)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")

set (${PROJECT_NAME}_LIB_SRCS
	src/ndt_matcher_d2d.cpp
	src/ndt_matcher_d2d_2d.cpp	
      	src/ndt_matcher_d2d_feature.cpp  
	src/ndt_matcher_p2d.cpp
    )
add_library(${PROJECT_NAME} ${${PROJECT_NAME}_LIB_SRCS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

add_executable(simple_test test/simple.cc)
target_link_libraries(simple_test ${PROJECT_NAME} ${Boost_LIBRARIES} ${catkin_LIBRARIES})

add_executable(d2d_deathmatch test/deathmatch.cc)
target_link_libraries(d2d_deathmatch ${PROJECT_NAME} ${Boost_LIBRARIES} ${catkin_LIBRARIES})

add_executable(p2d_deathmatch test/p2d_deathmatch.cc)
target_link_libraries(p2d_deathmatch ${PROJECT_NAME} ${Boost_LIBRARIES} ${catkin_LIBRARIES})

#add_executable(convert_logs test/convert.cc)
#target_link_libraries(convert_logs ${Boost_LIBRARIES} ${catkin_LIBRARIES})

#add_executable(from_jff test/from_jff.cc)
#target_link_libraries(from_jff ${Boost_LIBRARIES} ${catkin_LIBRARIES})
#rosbuild_add_openmp_flags(from_jff)

#add_executable(ndt_feature_test test/ndt_feature_test.cc)
#target_link_libraries(ndt_feature_test ${Boost_LIBRARIES} ${catkin_LIBRARIES})

#add_executable(feature_registration test/feature_registration.cc)
#target_link_libraries(feature_registration ndt_map pointcloud_vrml )

#add_executable(ndt_reconstruct test/reconstruct.cc)
#target_link_libraries(ndt_reconstruct ${PROJECT_NAME} ndt_map pointcloud_vrml )

#add_executable(ndt_matcher_node test/ndt_matcher_node.cc)
#target_link_libraries(ndt_matcher_node ${PROJECT_NAME} ndt_map pointcloud_vrml )

#add_executable(batchTestRangerAccuracy test/batchTestRangerAccuracy.cc)
#target_link_libraries(batchTestRangerAccuracy ${PROJECT_NAME} ndt_map  pointcloud_vrml)

#add_executable(narf_keypoint_extraction test/narf_extraction.cc)
#target_link_libraries(narf_keypoint_extraction ${PROJECT_NAME} ndt_map pointcloud_vrml )

#add_executable(narf_registration test/narf_registration.cc)
#target_link_libraries(narf_registration ${PROJECT_NAME} ndt_map pointcloud_vrml )

#add_executable(ndt_histogram_registration test/ndt_histogram_registration.cc)
#target_link_libraries(ndt_histogram_registration ${PROJECT_NAME} ndt_map pointcloud_vrml )

#add_executable(test_covariance test/test_covariance.cc)
#target_link_libraries(test_covariance ${PROJECT_NAME} ndt_map pointcloud_vrml )

#target_link_libraries(test_ndt_mapper ${PROJECT_NAME} ndt_map pointcloud_vrml )

add_executable(check_reg test/check_reg.cc)
target_link_libraries(check_reg
  ${PROJECT_NAME}
  #${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  )

## Generate added messages and services with any dependencies listed here
#generate_messages(
    #TODO DEPENDENCIES geometry_msgs std_msgs
#)

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
install(TARGETS simple_test ${PROJECT_NAME} 
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
       )

install(DIRECTORY include/${PROJECT_NAME}/
	DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
       )

=== debian/changelog ===
ros-indigo-ndt-registration (1.0.30-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Thu, 08 Oct 2015 22:00:00 -0000

ros-indigo-ndt-registration (1.0.29-0trusty) trusty; urgency=high

  *major refactoring
  * Contributors: Henrik Andreasson

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 07 Oct 2015 22:00:00 -0000

ros-indigo-ndt-registration (1.0.28-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Thu, 04 Dec 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.27-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Thu, 04 Dec 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.26-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Tue, 02 Dec 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.25-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Sun, 30 Nov 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.24-0trusty) trusty; urgency=high

  * small fix with install targets
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Mon, 24 Nov 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.23-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Mon, 24 Nov 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.20-0trusty) trusty; urgency=high

  * refactored code
  * modified p2d registration, works again
  * Contributors: Martin Magnusson, Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Thu, 20 Nov 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.18-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Tue, 08 Apr 2014 22:00:00 -0000

ros-indigo-ndt-registration (1.0.15-0trusty) trusty; urgency=high

  * fixes to makefiles wrt pcl
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 08 Jan 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.13-0trusty) trusty; urgency=high

  * fixing mess with pcl compatibility
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 08 Jan 2014 23:00:00 -0000

ros-indigo-ndt-registration (1.0.12-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Mon, 02 Dec 2013 23:00:00 -0000

ros-indigo-ndt-registration (1.0.10-0trusty) trusty; urgency=high



 -- Todor Stoyanov <todor.stoyanov@oru.se>  Mon, 02 Dec 2013 23:00:00 -0000

ros-indigo-ndt-registration (1.0.9-0trusty) trusty; urgency=high

  * hydro release
  * Contributors: Tomasz Kuncer

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Sun, 01 Dec 2013 23:00:00 -0000

ros-indigo-ndt-registration (1.0.8-0trusty) trusty; urgency=high

  * "1.0.8"
  * changelogs updated
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Sun, 01 Dec 2013 23:00:00 -0000

ros-indigo-ndt-registration (1.0.7-0trusty) trusty; urgency=high

  * "1.0.7"
  * changelogs update
  * Added release flags to all CMake files
  * Re-organization of include files to follow ros convention, lots of changes
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 27 Nov 2013 23:00:00 -0000

ros-indigo-ndt-registration (1.0.6-0trusty) trusty; urgency=high

  * "1.0.6"
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 27 Nov 2013 19:13:00 -0000

ros-indigo-ndt-registration (1.0.5-0trusty) trusty; urgency=high

  * "1.0.5"
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 27 Nov 2013 18:52:00 -0000

ros-indigo-ndt-registration (1.0.4-0trusty) trusty; urgency=high

  * "1.0.4"
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 27 Nov 2013 18:40:00 -0000

ros-indigo-ndt-registration (1.0.3-0trusty) trusty; urgency=high

  * "1.0.3"
  * prepairing for second release candidate
  * CMake files fixed to output in the correct place
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 27 Nov 2013 18:26:00 -0000

ros-indigo-ndt-registration (1.0.2-0trusty) trusty; urgency=high

  * "1.0.2"
  * Contributors: Todor Stoyanov

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 27 Nov 2013 12:58:00 -0000

ros-indigo-ndt-registration (1.0.1-0trusty) trusty; urgency=high

  * "1.0.1"
  * added changelog files to stream
  * removed message gen that was not needed and generating scary warnings
  * removed the precompiled binaries from the branch. those should not go on the repo
  * cleaned up some stuff
  * remove depreciated dependencies
  * the removal of rosbuild remains
  * compiled packages ndt_fuser  ndt_map  ndt_map_builder  ndt_mcl  ndt_registration  ndt_visualisation  perception_oru  pointcloud_vrml
  * Contributors: Todor Stoyanov, Tomasz Kuncer

 -- Todor Stoyanov <todor.stoyanov@oru.se>  Wed, 27 Nov 2013 11:33:00 -0000

=== debian/control ===
Source: ros-indigo-ndt-registration
Section: misc
Priority: extra
Maintainer: Todor Stoyanov <todor.stoyanov@oru.se>
Build-Depends: debhelper (>= 9.0.0), libpcl-1.7-all-dev, ros-indigo-catkin, ros-indigo-ndt-map, ros-indigo-pcl-ros, ros-indigo-tf, ros-indigo-tf-conversions
Homepage: http://ros.org/wiki/ndt_registration
Standards-Version: 3.9.2

Package: ros-indigo-ndt-registration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-1.7-all-dev, ros-indigo-ndt-map, ros-indigo-pcl-ros, ros-indigo-tf, ros-indigo-tf-conversions
Description: Contains a new implementation of 3D NDT registration. Used to find the relative positions of two point clouds.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ndt-registration//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
